tr1 memory error

I am very new to open frameworks

i am using codeblocks version 8.02 as my IDE in which i have set mingw as my compiler
and OF v0.07 on windows 7

I am unable to compile any of the example files - they all give me the same error:

…\openFrameworks\types\ofTypes.h|9|tr1/memory: No such file or directory|

for some reason the compiler cannot find the following include:
#include <tr1/memory> in the oftypes.h in the lib folder

any ideas how to resolve this???
thanks

I’m only guessing: try to update codeblocks and/or MinGW!

Hey!!

Download codeblocks 10.05 wt minGW … this solved the issue for me…

Hope it helps!

Saludos! :wink:

I am having this problem as well, I am on CB 10.05 w mingw and I have updated the OF mingw additions…

(just downloaded 007 from the site)

edit: same problem in latest git version…

I am having this problem as well, I am on CB 10.05 w mingw and I have updated the OF mingw additions…

Hi,

Some info about the error maybe it help you.

http://forums.codeblocks.org/index.php?topic=12302.0

So, the answer is you need newer gcc (>4.0), the default is 3.4.x…

Saludos!

Thanks, to me that actually sounds easier than it seems to be :slight_smile:

edit:
got the latest gcc version from here:http://sourceforge.net/projects/mingw-w64/files/
I am on win7 x64 so to be exact: http://sourceforge.net/projects/mingw-w64/files/Toolchains%20targetting%20Win64/Personal%20Builds/rubenvb/4.6.2-1/

renamed the old mingw directory
made a new one
copied all the files from download in there
copied all the OF codeblocks additions in there → http://www.openframeworks.cc/setup/codeblocks

changed the compiler toolchange executables (settings, compiler and debugger) in c::b to this:

and now working on the next problem → http://forum.openframeworks.cc/t/openframeworks.lib-on-github/6229/0

hi you need to use exactly the mingw version that is provided with cb 10.05. There’s some things that won’t link if you use a different version. but the problem with tr1 is definetly related with an old version of mingw. check that you don’t have any other version of mingw before installing codeblocks, uninstall also any previous version of cb and be sure to download the version of codeblocks that includes mingw.

Thank you Arturo, Zach already gave me the advise to use mingw provided with cb10.05. (check the topic mentioned in my post above)